/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package dbbr;

import domen.Mesto;
import domen.PoslovniPartner;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author student
 */
public class DBBroker {
    
    
    
    Connection konekcija;

    public DBBroker() {
    }
    
     
    public void otvoriKonekciju() throws SQLException{
        
        String url = "jdbc:mysql://localhost:3306/partnerid2";
        konekcija = DriverManager.getConnection(url, "root", "");
        System.out.println("USPESNO OSTVARENA KONEKCIJA!!!");
        
    }
    
    
    public List<Mesto> vratiSvaMesta() throws SQLException{
        
        List<Mesto> listaMesta = new ArrayList<>();
        
        String upit = "SELECT *"
                + " FROM MESTO";
        System.out.println("upit:"+upit);
        
        Statement naredba = konekcija.createStatement();
        
        ResultSet rs = naredba.executeQuery(upit);
        Mesto m;
        while(rs.next()){
            
            m = new Mesto();
            
            m.setPtt(rs.getLong("ptt"));
            m.setNaziv(rs.getString("naziv"));
            
            listaMesta.add(m);
        }
        
       return listaMesta; 
    }
    
    
    public void sacuvajPartnera(PoslovniPartner partner) throws SQLException{
        
        
        //String upit = "INSERT INTO poslovnipartner VALUES ('"+partner.getMaticniBroj()+"','"+partner.getNaziv()+"','" )";
        
        String upit = "INSERT INTO poslovnipartner VALUES (?,?,?,?,?,?)";
        
        PreparedStatement pnaredba = konekcija.prepareStatement(upit);
        
        pnaredba.setString(1, partner.getMaticniBroj());
        pnaredba.setString(2, partner.getNaziv());
        pnaredba.setString(3, partner.getPib());
        pnaredba.setString(4, partner.getUlica());
        pnaredba.setString(5, partner.getBroj());
        pnaredba.setLong(6, partner.getMesto().getPtt());
        
        pnaredba.executeUpdate();
        
    }
    
    
    
    
    
    
    public static void main(String[] args) {
        
        try {
            DBBroker dbbr = new DBBroker();
            dbbr.otvoriKonekciju();
            
        } catch (SQLException ex) {
            Logger.getLogger(DBBroker.class.getName()).log(Level.SEVERE, null, ex);
        }
    }
    
    
}
