/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package kontroler;

import domen.Mesto;
import domen.PoslovniPartner;
import java.util.List;
import kolekcija.KolekcijaMesta;
import kolekcija.KolekcijaPartnera;

/**
 *
 * @author student
 */
public class Kontroler {
    private KolekcijaPartnera kp;
    private KolekcijaMesta km;
    private static Kontroler instance;

    private Kontroler() {
        kp = new KolekcijaPartnera();
        km = new KolekcijaMesta();
    }
    
    public static Kontroler getInstance() {
        if (instance == null) {
            instance = new Kontroler();
        }
        return instance;
    }
    
    public void sacuvajParntera(PoslovniPartner pp) {
        kp.sacuvajPartnera(pp);
    }
    
    public List<PoslovniPartner> vratiPartnere() {
        return kp.vratiPartnere();
    }
    
    public void sacuvajMesto(Mesto m) {
        km.sacuvajMesto(m);
    }
    
    public List<Mesto> vratiMesta() {
        return km.vratiMesta();
    }
    
    
    
}
