/*
SQLyog Community v12.08 (32 bit)
MySQL - 5.6.12-log : Database - partnerid2
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`partnerid2` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `partnerid2`;

/*Table structure for table `mesto` */

DROP TABLE IF EXISTS `mesto`;

CREATE TABLE `mesto` (
  `ptt` int(11) NOT NULL,
  `naziv` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ptt`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `mesto` */

insert  into `mesto`(`ptt`,`naziv`) values (11000,'Beograd'),(11070,'Novi Beograd'),(21000,'Novi sad'),(32000,'Cacak'),(35230,'Cuprija');

/*Table structure for table `poslovnipartner` */

DROP TABLE IF EXISTS `poslovnipartner`;

CREATE TABLE `poslovnipartner` (
  `maticniBroj` varchar(12) NOT NULL,
  `naziv` varchar(30) DEFAULT NULL,
  `pib` varchar(8) DEFAULT NULL,
  `ulica` varchar(30) DEFAULT NULL,
  `broj` varchar(10) DEFAULT NULL,
  `mesto` int(11) DEFAULT NULL,
  PRIMARY KEY (`maticniBroj`),
  KEY `fk_partner_mesto` (`mesto`),
  CONSTRAINT `fk_partner_mesto` FOREIGN KEY (`mesto`) REFERENCES `mesto` (`ptt`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `poslovnipartner` */

insert  into `poslovnipartner`(`maticniBroj`,`naziv`,`pib`,`ulica`,`broj`,`mesto`) values ('12312','FON','123123','Jove Ilica','154',11000);

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
