/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package server;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.Socket;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author student
 */
public class ThreadClient extends Thread {

    private Socket socketClient;
    private BufferedReader in;
    private PrintWriter out;
    private Server server;
    ThreadClient(Server server, Socket socketClient) throws IOException {
        this.socketClient = socketClient;
        this.server = server;
        in = new BufferedReader(new InputStreamReader(socketClient.getInputStream()));
        out = new PrintWriter(socketClient.getOutputStream(), true);
    }

    @Override
    public void run() {
        String ime;
        try {
            ime = in.readLine();
        } catch (IOException ex) {
            ex.printStackTrace();
            return;
        }
        try {
            while (true) {
                String poruka = in.readLine();
                poruka = ime + ": " + poruka;
                server.posaljiSvimaPoruku(poruka);
                System.out.println(poruka);
            }
        } catch (Exception ex) {
            ex.printStackTrace();
        }

    }

    void posaljiPoruku(String poruka) {
        out.println(poruka);
    }

}
